GuideLab API

Record an immutable QC inspection

POST
/orders/{id}/qc

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/string/qc" \  -H "Content-Type: application/json" \  -d '{    "results": [      {        "checklistItemId": "string",        "passed": true      }    ]  }'
{  "id": "string",  "orderId": "string",  "orderRevision": 0,  "attemptNumber": 0,  "outcome": "passed",  "notes": "string",  "completedByUserId": "string",  "completedByName": "string",  "completedAt": "string",  "results": [    {      "checklistItemId": "string",      "itemName": "string",      "passed": true,      "notes": "string"    }  ]}
Empty
Empty
Empty
Empty
Empty